"""create table for countries
Revision ID: 2f8d421e8c9b
Revises: 0001
Create Date: 2023-05-25 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2f8d421e8c9b'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "countries"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('code', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
    )
    op.create_index(op.f('ix_countries_name'), table_name, ['name'], unique=True)
    op.create_index(op.f('ix_countries_code'), table_name, ['code'], unique=True)

def downgrade():
    table_name = "countries"
    op.drop_index(op.f('ix_countries_name'), table_name=table_name)
    op.drop_index(op.f('ix_countries_code'), table_name=table_name)
    op.drop_table(table_name)